Basic Installation
==================

KVpnc relies on cmake to build.

Here are suggested default options:

 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"



Requirements:
=============
tdelibs and libgcrypt


Optional:
=========
 - vpnc >= 0.2-rm+zomb-pre9  Cisco VPN
 - IPsec (Openswan, strongSwan) >= 2.x  IPSec VPN Linux 2.4/2.6
 - racoon (ipsec-tools) > = 1.x  IPSec VPN Linux 2.6
 - pptpclient  PPTP VPN
 - OpenVPN  VPN based on SSL
 - l2tpd, xl2tpd, openl2tp
 - vtun
 - OpenSSH
 - opensc
 - ksshaskpass
